# Phanpy

[Phanpy](https://github.com/cheeaun/phanpy) is a frontend for Mastodon.
It is served as static files.
The upstream git repository contains files that need to be built.
Alternatively, releases are published as `.tar.gz` archives.
I don't want to run `npm` to build phanpy but I still want to have the artifacts as a git repository so the content can be fed to [unipi](https://github.com/roburio/unipi/).
Thus I have hacked together a script where I can import the tar release files into a git history.

To import a new release download the `.tar.gz` file and rename it to `VERSION.tar.gz` where `VERSION` is the release version.
Then run `./import-tars.perl VERSION.tar.gz`.
This will add the files from the archive to a commit on the `production` branch with a tag `VERSION`.
The commit will contain a SHA256 digest of the archive for sake of reproducibility.
